package hu.bme.mit.books.graphiti.editor.features;

import org.eclipse.graphiti.features.IFeatureProvider;
import org.eclipse.graphiti.features.context.IDeleteContext;
import org.eclipse.graphiti.mm.pictograms.Connection;
import org.eclipse.graphiti.mm.pictograms.PictogramElement;
import org.eclipse.graphiti.ui.features.DefaultDeleteFeature;

import books.Author;
import books.Book;

public class DeleteAuthorBookConnectionFeature extends DefaultDeleteFeature {

	public DeleteAuthorBookConnectionFeature(IFeatureProvider fp) {
		super(fp);
	}

	@Override
	public boolean canDelete(IDeleteContext context) {
		PictogramElement pe = context.getPictogramElement();
		if (pe instanceof Connection) {
			Connection connection = (Connection) pe;
			Object source = getBusinessObjectForPictogramElement(connection.getStart().getParent());
			Object target = getBusinessObjectForPictogramElement(connection.getEnd().getParent());
			return source instanceof Author && target instanceof Book;
		}
		return false;
	}

	@Override
	public void delete(IDeleteContext context) {
		PictogramElement pe = context.getPictogramElement();
		Connection connection = (Connection) pe;
		Author source = (Author) getBusinessObjectForPictogramElement(connection.getStart().getParent());
		Book target = (Book) getBusinessObjectForPictogramElement(connection.getEnd().getParent());
		source.getBooks().remove(target);
		super.delete(context);
	}

}
